org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Interface PageLockTrackerMXBean

All Known Implementing Classes:
  PageLockTrackerMXBeanImpl

    @MXBeanDescription(value="MBean that provides access to page lock tracking.")
    public interface PageLockTrackerMXBean

This interface defines JMX managment interface for page lock tracking.

### Field Summary

Fields
`static String` `MBEAN_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `dumpLocks()` Take page locks dump.
`String` `dumpLocksToFile()` Take page locks dump and save to file.
`String` `dumpLocksToFile(String path)` Take page locks dump and save to file for specific path.
`void` `dumpLocksToLog()` Take page locks dump and print it to console.

### Field Detail

#### MBEAN_NAME

    static final String MBEAN_NAME

See Also:
  Constant Field Values

### Method Detail

#### dumpLocks

    @MXBeanDescription(value="Take page locks dump.")
    String dumpLocks()

Take page locks dump.

Returns:
  String representation of page locks dump.

#### dumpLocksToLog

    @MXBeanDescription(value="Take page locks dump and print it to console.")
    void dumpLocksToLog()

Take page locks dump and print it to console.

#### dumpLocksToFile

    @MXBeanDescription(value="Take page locks dump and save to file.")
    String dumpLocksToFile()

Take page locks dump and save to file.

Returns:
  Absolute file path.

#### dumpLocksToFile

    @MXBeanDescription(value="Take page locks dump and save to file for specific path.")
    String dumpLocksToFile(String path)

Take page locks dump and save to file for specific path.

Parameters:
  `path` - Path to save file.
Returns:
  Absolute file path.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023